# Originally imported from rosa

Summary:	A portable Nintendo Entertainment System emulator
Name:		nestopia
Version:	1.48
Release:	%mkrel 2
License:	GPLv2+
Group:		Emulators
Url:		http://0ldsk00l.ca/nestopia.html
Source0:	https://github.com/downloads/rdanbrook/nestopia/%{name}-%{version}.tar.xz
Source1:	%{name}.6
Source2:	%{name}.appdata.xml
Source3:	libretro-%{name}.metainfo.xml
# imported from debian
Patch0:         libretro_version.patch
Patch1:         libretro-cppflags.patch
#----------------------------------------
BuildRequires: binutils
BuildRequires: cmake
BuildRequires: lib64ao-devel
BuildRequires: lib64archive-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64epoxy-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64sdl2.0-devel
BuildRequires: lib64x11-devel
BuildRequires: libstdc++-devel
BuildRequires: make
BuildRequires: patch
BuildRequires: pkgconfig
BuildRequires: mesa-devel
#----------------------------------------

%description
NEStopia is a portable Nintendo Entertainment System emulator written in C++ 
by Martin Freij and ported to Linux by R. Belmont.

NEStopia strives for the most accurate emulation possible at the 
pixel-by-pixel and sample-by-sample level, and it has excellent mapper 
and UNIF board support as well.

Features include:
- Supports .nes, .unf/.unif, and XML format ROMs, including Vs. and 
  Playchoice 10 games
- Supports .fds discs (a file named diskrom.sys is needed for this feature)
- Supports .nsf music rips
- All supported files can be extracted from zip or 7zip containers (an 
  archive browser is not yet included - this assumes the common GoodSet case 
  of one zip or 7zip per game)
- Supports save states
- Supports movie recordings
- Supports the “rewinder” - if you make a bad jump and screw up your 
  game, press Backspace and the game will run in reverse. Press \ to take over 
  again and try to fix your mistake.
- Friendly GUI configuration
- Autodetection of PAL and NTSC format games
- Supports drag and drop of compatible games and music rips from modern Linux 
  file managers, including KDE’s Konqueror and GNOME’s Nautilus.

Nestopia requires OpenGL 3.2 or later.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Fix end-of-line encoding
sed -i 's/\r//' ChangeLog

%build
%cmake
%make
cd ..

# compile libretro as well
%make -C libretro

%install
%make_install -C build
mkdir -p %{buildroot}%{_libdir}/libretro
cp -a libretro/*.so %{buildroot}%{_libdir}/libretro/
install -Dpm 0644 %SOURCE1 %{buildroot}%{_mandir}/man6/%{name}.6
install -Dpm 0644 %SOURCE2 %{buildroot}%{_datadir}/metainfo/nestopia.appdata.xml
install -Dpm 0644 %SOURCE3 %{buildroot}%{_datadir}/metainfo/libretro-nestopia.metainfo.xml

# desktop-menu
rm -f %{buildroot}%{_datadir}/applications/%name.desktop
cat > %{buildroot}%{_datadir}/applications/pclos-nestopia.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=NEStopia
Comment=%{summary}
Exec=nestopia -e %f
Icon=nestopia
Terminal=false
Type=Application
Categories=Game;Emulator;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%files
%doc COPYING
%{_bindir}/nestopia
%{_datadir}/nestopia
%{_libdir}/libretro/*.so
%{_iconsdir}/hicolor/*/apps/nes*.*
%{_datadir}/applications/pclos-nestopia.desktop
%{_mandir}/man6/%{name}.6.*
%{_datadir}/metainfo/nestopia.appdata.xml
%{_datadir}/metainfo/libretro-nestopia.metainfo.xml


%changelog
* Mon Jan 15 2018 bb2 <bb2> - 1.48-2pclos2018
- clean up BR

* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> 1.48-1pclos2017
- Build for PCLinuxOS
